
Figure - Bug #117855
【IOVDEV-26546】【内部】【VC1】【0094】【台架】【EE环境】【副屏】【设置】显示-屏保-当前的屏保-
预览活动主题内图片左右滑动翻页失败
2023-05-10 15:03 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-09

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0076.x101��【副屏版本号】：01.00.0094.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-13

Test Type: ST Root cause: 编码问题

Description

环境信息】EE环境

【问题出现时间】：20230509 10：45

【前提条件】：副屏上电

【操作步骤】

1.副屏-设置-显示-屏保-当前的屏保-活动主题屏保

2.预览活动主题内的图片

3.左右滑动图片预览

【实际结果】

1.可以左右滑动预览图片内容

【期望结果】

1.可以左右滑动预览图片内容以及点击左右按键

【备注】：

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0076.x101

【副屏版本号】：01.00.0094.c103

History

#1 - 2023-05-12 14:12 - CD APP-王营

- Status changed from New to ASSIGNED

- % Done changed from 0 to 100

【当前进展】

1、问题已解决

【我的分析】

1、预览过程中使用了RecyclerView来横向加载图片列表，屏蔽了滑动事件

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/199694
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/199694


#2 - 2023-05-12 15:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199694 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Make theme preview can scrollTC-RID: 0301-0300602IssueID: TS-R-BUG-117855Change-Id: Id921c678aeaff131693cfd400381f69bec5eb165

#3 - 2023-05-12 15:16 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-13

- Root cause set to 编码问题

#4 - 2023-05-17 11:07 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#5 - 2023-05-17 11:07 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

video(32).mp4 2.86 MB 2023-05-10 CDTS_Test 吴诗雨
